{"swagger":"2.0","info":{"x-ibm-name":"a2d-ingestion","title":"A2D Ingestion","version":"1.0.0","contact":{"email":"mcerulo@sogei.it","name":"Marcello Cerulo"}},"schemes":["https"],"basePath":"/a2d-ingestion","consumes":["application/json"],"produces":["application/json"],"securityDefinitions":{"clientIdHeader":{"description":"","in":"header","name":"X-IBM-Client-Id","type":"apiKey"}},"security":[{"clientIdHeader":[]}],"x-ibm-configuration":{"testable":true,"enforced":true,"cors":{"enabled":true},"assembly":{"execute":[{"parse":{"version":"2.0.0","use-content-type":true,"warn-on-empty-input":true}},{"map":{"title":"map","inputs":{"body":{"schema":{"description":"","type":"object","properties":{"idAtmos":{"type":"string","name":"idAtmos"},"policy":{"type":"string","name":"policy"},"uriCallback":{"type":"string","name":"uriCallback"},"listaParametriAggiuntivi":{"type":"array","items":{"properties":{"chiave":{"type":"string","name":"chiave"},"tipo":{"type":"string","name":"tipo"},"valore":{"type":"string","name":"valore"}},"type":"object"},"name":"listaParametriAggiuntivi"}},"example":"{\"idAtmos\":\"atmos/AreaScambioVE01/5dc1a25ea2ae7f8306298a8a3994d3062a75610a4194\",\"policy\":\"SOLO_FORMATO\",\"uriCallback\":\"http://26.2.84.167:8080/callbackRichiesta\",\"listaParametriAggiuntivi\":[{\"chiave\":\"reqType\",\"tipo\":\"FIRMA\",\"valore\":\"305\"},{\"chiave\":\"formato\",\"tipo\":\"FORMATO\",\"valore\":\"PDFA\"}]}"},"variable":"request.body","content":"application/json"}},"outputs":{"response":{"schema":{"$ref":"#/x-ibm-configuration/targets/WsIngestionService/definitions/richiestaAnagraficaInput"},"variable":"message.body","content":"text/xml"}},"actions":[{"set":"response.Envelope.Body.richiestaAnagrafica.arg0.idAtmos","from":"body.idAtmos"},{"set":"response.Envelope.Body.richiestaAnagrafica.arg0.policy","from":"body.policy"},{"set":"response.Envelope.Body.richiestaAnagrafica.arg0.uriCallback","from":"body.uriCallback"},{"set":"response.Envelope.Body.richiestaAnagrafica.arg0.listaParametriAggiuntivi","from":"body.listaParametriAggiuntivi"},{"create":"response.Envelope.Body.richiestaAnagrafica.arg0.listaParametriAggiuntivi","foreach":"body.listaParametriAggiuntivi","from":"body.listaParametriAggiuntivi","actions":[{"set":"chiave","from":"chiave"},{"set":"tipo","from":"tipo"},{"set":"valore","from":"valore"}]}],"version":"2.0.0","options":{"mapResolveApicVariables":true,"mapParseXMLOutput":true}}},{"gatewayscript":{"version":"2.0.0","title":"gatewayscript","source":"var body='<?xml version=\"1.0\" encoding=\"UTF-8\"?><soapenv:Envelope xmlns:soapenv=http://www.w3.org/2003/05/soap-envelope><soapenv:Body><soapenv:richiestaAnagraficaResponse><soapenv:return>12345678</soapenv:return></soapenv:richiestaAnagraficaResponse></soapenv:Body></soapenv:Envelope>'\ncontext.message.body.write(body);\ncontext.message.header.set('content-type', 'application/xml');"}},{"parse":{"version":"2.0.0","use-content-type":true,"warn-on-empty-input":true,"input":"richiestaAnagraficaOutput"}},{"map":{"title":"map","inputs":{"input":{"schema":{"$ref":"#/x-ibm-configuration/targets/WsIngestionService/definitions/richiestaAnagraficaOutput"},"variable":"richiestaAnagraficaOutput.body","content":"application/xml"}},"outputs":{"response":{"schema":{"description":"","type":"object","properties":{"return":{"type":"number","name":"return"}},"example":"{\"return\":110352}"},"variable":"message.body","content":"application/json"}},"actions":[{"set":"response.return","from":"input.Envelope.Body.richiestaAnagraficaResponse.return"}],"version":"2.0.0","options":{"mapResolveApicVariables":true,"mapParseXMLOutput":true}}}],"finally":[]},"phase":"realized","targets":{"WsIngestionService":{"swagger":"2.0","info":{"title":"WsIngestionService","description":"","x-ibm-name":"wsingestionservice","version":"1.0.0"},"schemes":["https"],"basePath":"/WsIngestionService","produces":["application/xml"],"consumes":["text/xml"],"securityDefinitions":{"clientID":{"type":"apiKey","name":"X-IBM-Client-Id","in":"header","description":""}},"security":[{"clientID":[]}],"x-ibm-configuration":{"type":"wsdl","phase":"realized","enforced":true,"testable":true,"gateway":"datapower-gateway","cors":{"enabled":true},"wsdl-definition":{"wsdl":"64241215e4b037f788823989","service":"WsIngestionService","port":"WsIngestionPort","soap-version":"1.1"},"assembly":{"execute":[{"proxy":{"title":"proxy","target-url":"https://scdval.finanze.it:443/anagraficaDocumenti-ws/WsIngestionService"}}]},"x-ibm-apiconnect-wsdl":{"package-version":"1.8.42","options":{},"messages":{"info":[],"warning":[],"error":[]}}},"paths":{"/richiestaAnagrafica":{"post":{"summary":"Operation richiestaAnagrafica","description":"","operationId":"richiestaAnagrafica","x-ibm-soap":{"soap-action":"","soap-operation":"{http://ws.anagraficaDocumenti.sogei.it/}richiestaAnagrafica"},"parameters":[{"in":"body","name":"body","required":true,"schema":{"$ref":"#/x-ibm-configuration/targets/WsIngestionService/definitions/richiestaAnagraficaInput"}}],"responses":{"500":{"description":"","schema":{"$ref":"#/x-ibm-configuration/targets/WsIngestionService/definitions/richiestaAnagraficaFault"}},"default":{"description":"","schema":{"$ref":"#/x-ibm-configuration/targets/WsIngestionService/definitions/richiestaAnagraficaOutput"}}}}}},"definitions":{"Security":{"xml":{"namespace":"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd","prefix":"wsse"},"description":"Header for WS-Security","type":"object","properties":{"UsernameToken":{"xml":{"namespace":"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd","prefix":"wsse"},"type":"object","properties":{"Username":{"xml":{"namespace":"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd","prefix":"wsse"},"type":"string"},"Password":{"xml":{"namespace":"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd","prefix":"wsse"},"type":"string"},"Nonce":{"xml":{"namespace":"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd","prefix":"wsse"},"type":"string","properties":{"EncodingType":{"xml":{"namespace":"","attribute":true},"type":"string"}}},"Created":{"xml":{"namespace":"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd","prefix":"wsu"},"type":"string"}}},"Timestamp":{"xml":{"namespace":"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd","prefix":"wsu"},"type":"object","properties":{"Created":{"xml":{"namespace":"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd","prefix":"wsu"},"type":"string"},"Expires":{"xml":{"namespace":"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd","prefix":"wsu"},"type":"string"},"Id":{"xml":{"namespace":"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd","prefix":"wsu","attribute":true},"type":"string"}}}}},"richiestaAnagraficaInput":{"description":"Input message for wsdl operation richiestaAnagrafica","type":"object","properties":{"Envelope":{"xml":{"namespace":"http://schemas.xmlsoap.org/soap/envelope/","prefix":"soapenv"},"type":"object","properties":{"Header":{"$ref":"#/x-ibm-configuration/targets/WsIngestionService/definitions/richiestaAnagraficaHeader"},"Body":{"xml":{"namespace":"http://schemas.xmlsoap.org/soap/envelope/","prefix":"soapenv"},"type":"object","properties":{"richiestaAnagrafica":{"$ref":"#/x-ibm-configuration/targets/WsIngestionService/definitions/richiestaAnagrafica_element_tns"}},"required":["richiestaAnagrafica"]}},"required":["Body"]}},"required":["Envelope"],"x-ibm-schema":{"wsdl-port":"{http://ws.anagraficaDocumenti.sogei.it/}WsIngestionPort","wsdl-operation":"richiestaAnagrafica","wsdl-message-direction-or-name":"richiestaAnagraficaRequest"},"example":"\n<soapenv:Envelope xmlns:soapenv=\"http://schemas.xmlsoap.org/soap/envelope/\">\n <soapenv:Header>\n  <!-- The Security element should be removed if WS-Security is not enabled on the SOAP target-url -->\n  <wsse:Security xmlns:wsse=\"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd\" xmlns:wsu=\"http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd\">\n   <wsse:UsernameToken>\n    <wsse:Username>string</wsse:Username>\n    <wsse:Password>string</wsse:Password>\n    <wsse:Nonce EncodingType=\"string\">string</wsse:Nonce>\n    <wsu:Created>string</wsu:Created>\n   </wsse:UsernameToken>\n   <wsu:Timestamp wsu:Id=\"string\">\n    <wsu:Created>string</wsu:Created>\n    <wsu:Expires>string</wsu:Expires>\n   </wsu:Timestamp>\n  </wsse:Security>\n </soapenv:Header>\n <soapenv:Body>\n  <tns:richiestaAnagrafica xmlns:tns=\"http://ws.anagraficaDocumenti.sogei.it/\"><!-- mandatory -->\n   <arg0>\n    <hash>string</hash>\n    <id>3</id>\n    <idAtmos>string</idAtmos>\n    <listaParametriAggiuntivi><!-- between zero and unlimited repetitions of this element -->\n     <chiave>string</chiave>\n     <tipo>string</tipo>\n     <valore>string</valore>\n    </listaParametriAggiuntivi>\n    <policy>string</policy>\n    <uriCallback>string</uriCallback>\n   </arg0>\n  </tns:richiestaAnagrafica>\n </soapenv:Body>\n</soapenv:Envelope>"},"richiestaAnagraficaHeader":{"description":"Input headers for wsdl operation richiestaAnagrafica","type":"object","properties":{"Security":{"$ref":"#/x-ibm-configuration/targets/WsIngestionService/definitions/Security"}}},"richiestaAnagraficaOutput":{"description":"Output message for wsdl operation richiestaAnagrafica","type":"object","properties":{"Envelope":{"xml":{"namespace":"http://schemas.xmlsoap.org/soap/envelope/","prefix":"soapenv"},"type":"object","properties":{"Body":{"xml":{"namespace":"http://schemas.xmlsoap.org/soap/envelope/","prefix":"soapenv"},"type":"object","properties":{"richiestaAnagraficaResponse":{"$ref":"#/x-ibm-configuration/targets/WsIngestionService/definitions/richiestaAnagraficaResponse_element_tns"}}}},"required":["Body"]}},"required":["Envelope"],"x-ibm-schema":{"wsdl-port":"{http://ws.anagraficaDocumenti.sogei.it/}WsIngestionPort","wsdl-operation":"richiestaAnagrafica","wsdl-message-direction-or-name":"richiestaAnagraficaResponse"},"example":"\n<soapenv:Envelope xmlns:soapenv=\"http://schemas.xmlsoap.org/soap/envelope/\">\n <soapenv:Body>\n  <tns:richiestaAnagraficaResponse xmlns:tns=\"http://ws.anagraficaDocumenti.sogei.it/\">\n   <return>3</return>\n  </tns:richiestaAnagraficaResponse>\n </soapenv:Body>\n</soapenv:Envelope>"},"richiestaAnagraficaFault":{"description":"Fault message for wsdl operation richiestaAnagrafica","type":"object","properties":{"Envelope":{"xml":{"namespace":"http://schemas.xmlsoap.org/soap/envelope/","prefix":"soapenv"},"type":"object","properties":{"Body":{"xml":{"namespace":"http://schemas.xmlsoap.org/soap/envelope/","prefix":"soapenv"},"type":"object","properties":{"Fault":{"xml":{"namespace":"http://schemas.xmlsoap.org/soap/envelope/","prefix":"soapenv"},"type":"object","properties":{"faultcode":{"xml":{"namespace":""},"type":"string"},"faultstring":{"xml":{"namespace":""},"type":"string"},"faultactor":{"xml":{"namespace":""},"type":"string"},"detail":{"xml":{"namespace":"","prefix":""},"type":"object","properties":{"Exception":{"$ref":"#/x-ibm-configuration/targets/WsIngestionService/definitions/Exception_tns"}}}}}}}},"required":["Body"]}},"required":["Envelope"],"x-ibm-schema":{"wsdl-port":"{http://ws.anagraficaDocumenti.sogei.it/}WsIngestionPort","wsdl-operation":"richiestaAnagrafica","wsdl-message-direction-or-name":"Exception"}},"richiestaAnagrafica_element_tns":{"xml":{"namespace":"http://ws.anagraficaDocumenti.sogei.it/","prefix":"tns","name":"richiestaAnagrafica"},"type":"object","properties":{"arg0":{"$ref":"#/x-ibm-configuration/targets/WsIngestionService/definitions/richAnagrafica_type_tns"}},"example":"\n<tns:richiestaAnagrafica xmlns:tns=\"http://ws.anagraficaDocumenti.sogei.it/\">\n <arg0>\n  <hash>string</hash>\n  <id>3</id>\n  <idAtmos>string</idAtmos>\n  <listaParametriAggiuntivi><!-- between zero and unlimited repetitions of this element -->\n   <chiave>string</chiave>\n   <tipo>string</tipo>\n   <valore>string</valore>\n  </listaParametriAggiuntivi>\n  <policy>string</policy>\n  <uriCallback>string</uriCallback>\n </arg0>\n</tns:richiestaAnagrafica>"},"richiestaAnagraficaResponse_element_tns":{"xml":{"namespace":"http://ws.anagraficaDocumenti.sogei.it/","prefix":"tns","name":"richiestaAnagraficaResponse"},"type":"object","properties":{"return":{"xml":{"namespace":""},"type":"integer","format":"int64"}},"example":"\n<tns:richiestaAnagraficaResponse xmlns:tns=\"http://ws.anagraficaDocumenti.sogei.it/\">\n <return>3</return>\n</tns:richiestaAnagraficaResponse>"},"Exception_tns":{"xml":{"namespace":"http://ws.anagraficaDocumenti.sogei.it/","prefix":"tns","name":"Exception"},"type":"object","properties":{"message":{"xml":{"namespace":""},"type":"string"}},"example":"\n<tns:Exception xmlns:tns=\"http://ws.anagraficaDocumenti.sogei.it/\">\n <message>string</message>\n</tns:Exception>"},"richAnagrafica_type_tns":{"xml":{"namespace":"","prefix":""},"type":"object","properties":{"hash":{"xml":{"namespace":""},"type":"string"},"id":{"xml":{"namespace":""},"type":"integer","format":"int64"},"idAtmos":{"xml":{"namespace":""},"type":"string"},"listaParametriAggiuntivi":{"type":"array","items":{"$ref":"#/x-ibm-configuration/targets/WsIngestionService/definitions/parametriAggiuntivi_type_tns"},"x-nullable":true},"policy":{"xml":{"namespace":""},"type":"string"},"uriCallback":{"xml":{"namespace":""},"type":"string"}},"x-xsi-type":"richAnagrafica","x-xsi-type-xml":{"namespace":"http://ws.anagraficaDocumenti.sogei.it/","prefix":"tns"},"x-xsi-type-uniquename":"richAnagrafica_type_tns"},"parametriAggiuntivi_type_tns":{"xml":{"namespace":"","prefix":""},"type":"object","properties":{"chiave":{"xml":{"namespace":""},"type":"string"},"tipo":{"xml":{"namespace":""},"type":"string"},"valore":{"xml":{"namespace":""},"type":"string"}},"x-xsi-type":"parametriAggiuntivi","x-xsi-type-xml":{"namespace":"http://ws.anagraficaDocumenti.sogei.it/","prefix":"tns"},"x-xsi-type-uniquename":"parametriAggiuntivi_type_tns"}}}},"gateway":"datapower-api-gateway","type":"rest","compatibility":{"enforce-required-params":false,"request-headers":true,"allow-trailing-slash":true,"migrated-api":true},"buffering":true,"activity-log":{"enabled":true,"success-content":"activity","error-content":"payload"},"servers":[{"url":""}],"oauth-servers":[]},"paths":{"/richiestaAnagrafica":{"post":{"responses":{"200":{"description":"200 OK"}},"parameters":[{"name":"body","required":true,"in":"body","schema":{"type":"object"}}]}}},"definitions":{},"tags":[]}